uuid:
  -
    value: 9bb5ddd0-32e4-4626-9f82-4ee18d04019b
langcode:
  -
    value: en
type:
  -
    target_id: blog_post
    target_type: node_type
    target_uuid: 23ec86e0-1976-431a-90dc-72e6dc1ec103
revision_timestamp:
  -
    value: '2019-11-01T14:09:30+00:00'
    format: 'Y-m-d\TH:i:sP'
revision_uid:
  -
    target_type: user
    target_uuid: d7576130-d3dd-470b-bff7-6de362cd9c65
revision_log: {  }
status:
  -
    value: true
uid:
  -
    target_type: user
    target_uuid: d7576130-d3dd-470b-bff7-6de362cd9c65
title:
  -
    value: 'Rhodes: The thrill of uncovering its timeless treasures'
created:
  -
    value: '2018-11-07T14:41:18+00:00'
    format: 'Y-m-d\TH:i:sP'
changed:
  -
    value: '2019-11-01T08:15:04+00:00'
    format: 'Y-m-d\TH:i:sP'
promote:
  -
    value: true
sticky:
  -
    value: false
default_langcode:
  -
    value: true
revision_translation_affected: {  }
ds_switch: {  }
metatag:
  value:
    title: 'Rhodes: The thrill of uncovering its timeless treasures | Discover Greece'
    canonical_url: 'http://dgcopy.wediacloud.net/blog/rhodes-thrill-uncovering-its-timeless-treasures'
    description: "I’ve been visiting\_Rhodes\_for 40 years now, and each time I feel that special tingle of anticipation that I’m about to make a new discovery. A spectacle? A shop? A new friend in a mountainous village? A new hotel… you know, the kind that enchants its guests and fills Instagram with dreamy photographs? A book presentation? A journey through art, following in the footsteps of a leading contemporary creator whose work is being displayed at the Museum of Modern Art? Or perhaps a journey through space-time, to a period whose mark remains indelible?"
path:
  -
    alias: /blog/rhodes-thrill-uncovering-its-timeless-treasures
menu_link: {  }
content_translation_source:
  -
    value: und
content_translation_outdated:
  -
    value: false
body:
  -
    value: "<p>I’ve been visiting&nbsp;<strong>Rhodes</strong>&nbsp;for 40 years now, and each time I feel that special tingle of anticipation that I’m about to make a new discovery. A spectacle? A shop? A new friend in a mountainous village? A new hotel… you know, the kind that enchants its guests and fills Instagram with dreamy photographs? A book presentation? A journey through art, following in the footsteps of a leading contemporary creator whose work is being displayed at the Museum of Modern Art? Or perhaps a journey through space-time, to a period whose mark remains indelible?</p>\r\n\r\n<p>This is the experiential journey of Rhodes… like a diamond hidden within a hibiscus flower, the island’s symbol since antiquity.&nbsp;<strong>The heady scent of adrenaline</strong>.</p>\r\n\r\n<p>Because, in the town of&nbsp;<a href=\"https://www.discovergreece.com/en/greek-islands/dodecanese/rhodes\" target=\"_blank\">Rhodes</a>, there are certain spots that radiate history, culture, charm, mysticism and nobility.</p>\r\n\r\n<p>Every photograph taken in such a place captures the feeling that, somehow, Rhodes has conquered time, regardless of the fashion that portrays every figure as an idol.</p>\r\n\r\n<p><strong>The Old Town</strong>, the&nbsp;<strong>Rodiaki Epavli</strong>, the port of&nbsp;<strong>Mandraki</strong>, the buildings on&nbsp;<strong>Evdomis Martiou Square</strong>, the&nbsp;<strong>aquarium</strong>, the coastal route from&nbsp;<strong>Psaropoula</strong>&nbsp;to&nbsp;<strong>Kritika</strong>&nbsp;and the&nbsp;<strong>historical&nbsp;<a href=\"https://www.discovergreece.com/en/cover-story/rhodes-casino-the-legend\" target=\"_blank\">Grande Albergo delle Rose – Casino Rodos hotel</a></strong>&nbsp;… take all of these, together, and you have a scene that allows you to embark on a journey through eternity.</p>\r\n\r\n<p>With a history going back centuries, if not millennia, they are created from Italian stonework to retain their symbolism within the colours of the sea that they face for as long as they can endure.</p>\r\n\r\n<p>Like a buccaneer, I try to invade their secret corners each time I visit. I want to see how well hidden is the spirit of the times that have infiltrated them.</p>\r\n<script id=\"cr-init__1ae8a2968c8b93cc\" src=\"https://starling.crowdriff.com/js/crowdriff.js\" async=\"\"></script>\r\n\r\n<blockquote>\r\n<p>In the town of Rhodes, there are certain spots that radiate history, culture, charm, mysticism and nobility</p>\r\n</blockquote>\r\n\r\n<p>I’m certain that very few people have had the curiosity to stride the stage curtains of this theatre. And fewer still allow themselves to be drawn in by the earthy magnetism emitted by the stone-paved streets within the castle. So how many have explored the ruins of the mill or have hugged the rocks during the magic hour to feel like a redeemed castaway of fate and the sea? Few.</p>\r\n\r\n<p>Just as it is few who have had that tingle of anticipation of experiencing the simple grandeur of Rhodes’ casino. Where it’s not only the whir of the roulette ball that fills the air with possibility but also to the echoes of famous guests of the past who have lived out their dreams, small or large, in the gardens, lounges and guestrooms of the historic hotel.</p>\r\n\r\n<p>Rhodes was and always will be a cosmopolitan isle. This is what made it what it is and the reason it continues to attract worldly visitors. People who seek culture… even from the sand.</p>\r\n"
    format: full_html
    processed: "<p>I’ve been visiting\_<strong>Rhodes</strong>\_for 40 years now, and each time I feel that special tingle of anticipation that I’m about to make a new discovery. A spectacle? A shop? A new friend in a mountainous village? A new hotel… you know, the kind that enchants its guests and fills Instagram with dreamy photographs? A book presentation? A journey through art, following in the footsteps of a leading contemporary creator whose work is being displayed at the Museum of Modern Art? Or perhaps a journey through space-time, to a period whose mark remains indelible?</p>\n\n<p>This is the experiential journey of Rhodes… like a diamond hidden within a hibiscus flower, the island’s symbol since antiquity.\_<strong>The heady scent of adrenaline</strong>.</p>\n\n<p>Because, in the town of\_<a href=\"https://www.discovergreece.com/en/greek-islands/dodecanese/rhodes\" target=\"_blank\">Rhodes</a>, there are certain spots that radiate history, culture, charm, mysticism and nobility.</p>\n\n<p>Every photograph taken in such a place captures the feeling that, somehow, Rhodes has conquered time, regardless of the fashion that portrays every figure as an idol.</p>\n\n<p><strong>The Old Town</strong>, the\_<strong>Rodiaki Epavli</strong>, the port of\_<strong>Mandraki</strong>, the buildings on\_<strong>Evdomis Martiou Square</strong>, the\_<strong>aquarium</strong>, the coastal route from\_<strong>Psaropoula</strong>\_to\_<strong>Kritika</strong>\_and the\_<strong>historical\_<a href=\"https://www.discovergreece.com/en/cover-story/rhodes-casino-the-legend\" target=\"_blank\">Grande Albergo delle Rose – Casino Rodos hotel</a></strong>\_… take all of these, together, and you have a scene that allows you to embark on a journey through eternity.</p>\n\n<p>With a history going back centuries, if not millennia, they are created from Italian stonework to retain their symbolism within the colours of the sea that they face for as long as they can endure.</p>\n\n<p>Like a buccaneer, I try to invade their secret corners each time I visit. I want to see how well hidden is the spirit of the times that have infiltrated them.</p>\n<script id=\"cr-init__1ae8a2968c8b93cc\" src=\"https://starling.crowdriff.com/js/crowdriff.js\" async=\"\"></script>\n\n<blockquote>\n<p>In the town of Rhodes, there are certain spots that radiate history, culture, charm, mysticism and nobility</p>\n</blockquote>\n\n<p>I’m certain that very few people have had the curiosity to stride the stage curtains of this theatre. And fewer still allow themselves to be drawn in by the earthy magnetism emitted by the stone-paved streets within the castle. So how many have explored the ruins of the mill or have hugged the rocks during the magic hour to feel like a redeemed castaway of fate and the sea? Few.</p>\n\n<p>Just as it is few who have had that tingle of anticipation of experiencing the simple grandeur of Rhodes’ casino. Where it’s not only the whir of the roulette ball that fills the air with possibility but also to the echoes of famous guests of the past who have lived out their dreams, small or large, in the gardens, lounges and guestrooms of the historic hotel.</p>\n\n<p>Rhodes was and always will be a cosmopolitan isle. This is what made it what it is and the reason it continues to attract worldly visitors. People who seek culture… even from the sand.</p>\n"
    summary: ''
    summary_processed: ''
field_blogger:
  -
    target_type: taxonomy_term
    target_uuid: dc577402-27d8-428c-8a8f-ce68d8f04839
field_destination_promo: {  }
field_experience_theme:
  -
    target_type: taxonomy_term
    target_uuid: 90d20b0a-bff8-452f-a55f-7b9cba097a1f
  -
    target_type: taxonomy_term
    target_uuid: a52970c2-2fe4-4273-b111-1cad32a99e65
  -
    target_type: taxonomy_term
    target_uuid: 64d7a0ba-c83e-4c5c-b010-fe791564cce1
  -
    target_type: taxonomy_term
    target_uuid: 6baf94f9-9e0c-41ae-874e-6170f15581f4
field_leadin: {  }
field_mainimage:
  -
    target_type: media
    target_uuid: 33111644-1a10-43dd-a2b7-6f596c7678d1
field_mainvideo: {  }
field_media_gallery: {  }
field_reading_time: {  }
field_ref_region_destination:
  -
    target_type: taxonomy_term
    target_uuid: 3d1c180c-fec5-46bb-be30-0dfc59ef6929
field_seasons:
  -
    target_type: taxonomy_term
    target_uuid: d32c0d4e-29bb-4eeb-ad15-6cfa2d1299f9
field_similar_articles: {  }
field_sponsor:
  -
    target_revision_id: 3434
    target_type: paragraph
    target_uuid: d71e2e41-074d-42f5-8340-ace0cb39882c
field_tags: {  }
_content_sync:
  entity_type: node
  entity_dependencies:
    user:
      - user.user.d7576130-d3dd-470b-bff7-6de362cd9c65
      - user.user.d7576130-d3dd-470b-bff7-6de362cd9c65
    taxonomy_term:
      - taxonomy_term.bloggers.dc577402-27d8-428c-8a8f-ce68d8f04839
      - taxonomy_term.experience_theme.90d20b0a-bff8-452f-a55f-7b9cba097a1f
      - taxonomy_term.experience_theme.a52970c2-2fe4-4273-b111-1cad32a99e65
      - taxonomy_term.experience_theme.64d7a0ba-c83e-4c5c-b010-fe791564cce1
      - taxonomy_term.experience_theme.6baf94f9-9e0c-41ae-874e-6170f15581f4
      - taxonomy_term.regions_destinations.3d1c180c-fec5-46bb-be30-0dfc59ef6929
      - taxonomy_term.seasons.d32c0d4e-29bb-4eeb-ad15-6cfa2d1299f9
    media:
      - media.image.33111644-1a10-43dd-a2b7-6f596c7678d1
    paragraph:
      - paragraph.sponsor.d71e2e41-074d-42f5-8340-ace0cb39882c
